﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DataGridPresenterScrolling
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			this.LoadData();
			this.DataContext = this;
		}

		private void LoadData()
		{
			ObservableCollection<Product> productCollection = new ObservableCollection<Product>();
			productCollection.Add(new Product() { ProductId = 1, ProductName = "Item 1", Qty = 5, Price = 100 });
			productCollection.Add(new Product() { ProductId = 2, ProductName = "Item 2", Qty = 2, Price = 200 });
			productCollection.Add(new Product() { ProductId = 3, ProductName = "Item 3", Qty = 2, Price = 300 });
			productCollection.Add(new Product() { ProductId = 4, ProductName = "Item 4", Qty = 4, Price = 400 });
			productCollection.Add(new Product() { ProductId = 5, ProductName = "Item 5", Qty = 8, Price = 500 });
			//productCollection.Add(new Product() { ProductId = 6, ProductName = "Item 6", Qty = 10, Price = 600 });
			//productCollection.Add(new Product() { ProductId = 7, ProductName = "Item 7", Qty = 15, Price = 700 });
			//productCollection.Add(new Product() { ProductId = 8, ProductName = "Item 8", Qty = 2, Price = 800 });
			this.CustomerCollection = new ObservableCollection<Customer>();
			for (int i = 1; i <= 1000; i++)
			{
				this.CustomerCollection.Add(new Customer() { CustomerId = i, CustomerName = "Name " + i, IsVisible = (i % 10) == 0, ProductCollection = productCollection });
			}		
		}

		public ObservableCollection<Customer> CustomerCollection { get; set; }
	}

	public class Customer
	{
		public int CustomerId { get; set; }
		public string CustomerName { get; set; }
		public bool IsVisible { get; set; }
		public ObservableCollection<Product> ProductCollection { get; set; }
	}

	public class Product
	{
		public int ProductId { get; set; }
		public string ProductName { get; set; }
		public int	Qty	{ get; set; }
		public double Price { get; set; }
	}
}
